Macros | Enumerations | Functions
patch.h File Reference

offer the interface for the patch function based on the FPB of the cortex arm-m4; More...

Go to the source code of this file.

## Macros
#define | PATCH_ENABLE_FLAG(BIT) (1<<BIT)
#define | ENCRYPT_PATCH
#define | NO_ENCRYPT_PATCH

## Enumerations
enum | { AMS_PLAYER_ATTR_ID_NAME, AMS_PLAYER_ATTR_ID_PLAYBACK_INFO, AMS_PLAYER_ATTR_ID_VOLUME, IAS_ALERT_NONE, IAS_ALERT_MILD, IAS_ALERT_HIGH, TRC_PWR_WFE_MODE = 0, TRC_PWR_DSLEEP_MODE, TRC_PWR_ACTIVE_MODE, TRC_PWR_BLE_RET_DSLEEP, TRC_PWR_APP_TIMER_REFUSE, TRC_PWR_APP_TIMER_PASS, TRC_PWR_BLE_TIMER_PASS, BIT_HCI_SEND_2_CONTROLLER, BIT_HAL_XQSPI_SET_XIP_PRESENT_STATUS, BIT_LL_XQSPI_INIT, BIT_HAL_EXFLASH_WRITE, BIT_HAL_EXFLASH_ERASE, BIT_HAL_EXFLASH_READ, BIT_BLE_BM_SET_SEC_INFO, BIT_KE_TASK_SCHEDULE }

## Functions
void | cold_patch_apply (void)
| Apply Cold Patch This function is used for cold patch. More...
void | fpb_patch_enable (void)
| Patch Enabling Function This function can not be used directly. It needs to be registered with FPB unit and automatically enabled by the system. More...
void | fpb_encrypt_mode_patch_enable (void)
| Patch Enabling Function for encrypt This function can not be used directly. It needs to be registered with FPB unit and automatically enabled by the system. More...

## Detailed Description

offer the interface for the patch function based on the FPB of the cortex arm-m4;

Attention
  #####Copyright (c) 2019 GOODIX All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. Neither the name of GOODIX nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file patch.h.

## Macro Definition Documentation

## ◆ ENCRYPT_PATCH

#define ENCRYPT_PATCH

Value:
(PATCH_ENABLE_FLAG(BIT_HCI_SEND_2_CONTROLLER) |\
PATCH_ENABLE_FLAG(BIT_HAL_EXFLASH_WRITE) |\
PATCH_ENABLE_FLAG(BIT_HAL_EXFLASH_ERASE) |\
PATCH_ENABLE_FLAG(BIT_HAL_EXFLASH_READ) |\
PATCH_ENABLE_FLAG(BIT_BLE_BM_SET_SEC_INFO)) |\
PATCH_ENABLE_FLAG(BIT_KE_TASK_SCHEDULE)

Definition at line 65 of file patch.h.

## ◆ NO_ENCRYPT_PATCH

#define NO_ENCRYPT_PATCH

Value:
(PATCH_ENABLE_FLAG(BIT_HCI_SEND_2_CONTROLLER) |\
PATCH_ENABLE_FLAG(BIT_HAL_EXFLASH_WRITE) |\
PATCH_ENABLE_FLAG(BIT_HAL_EXFLASH_ERASE) |\
PATCH_ENABLE_FLAG(BIT_BLE_BM_SET_SEC_INFO)) |\
PATCH_ENABLE_FLAG(BIT_KE_TASK_SCHEDULE)

Definition at line 73 of file patch.h.

## ◆ PATCH_ENABLE_FLAG

#define PATCH_ENABLE_FLAG | ( |  | BIT | ) | (1<<BIT)

Definition at line 62 of file patch.h.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
AMS_PLAYER_ATTR_ID_NAME | Player attribute index of name.
AMS_PLAYER_ATTR_ID_PLAYBACK_INFO | Player attribute index of playback information.
AMS_PLAYER_ATTR_ID_VOLUME | Player attribute index of volume.
IAS_ALERT_NONE | No alert.
IAS_ALERT_MILD | Mild alert.
IAS_ALERT_HIGH | High alert.
TRC_PWR_WFE_MODE | WFE mode.
TRC_PWR_DSLEEP_MODE | Deep sleep mode.
TRC_PWR_ACTIVE_MODE | Active mode.
TRC_PWR_BLE_RET_DSLEEP | BLE return deep sleep.
TRC_PWR_APP_TIMER_REFUSE | App timer refuse.
TRC_PWR_APP_TIMER_PASS | App timer pass.
TRC_PWR_BLE_TIMER_PASS | BLE timer pass.
BIT_HCI_SEND_2_CONTROLLER |
BIT_HAL_XQSPI_SET_XIP_PRESENT_STATUS |
BIT_LL_XQSPI_INIT |
BIT_HAL_EXFLASH_WRITE |
BIT_HAL_EXFLASH_ERASE |
BIT_HAL_EXFLASH_READ |
BIT_BLE_BM_SET_SEC_INFO |
BIT_KE_TASK_SCHEDULE |

Definition at line 45 of file patch.h.

## Function Documentation

## ◆ cold_patch_apply()

void cold_patch_apply | ( | void |  | ) |

Apply Cold Patch This function is used for cold patch.

## ◆ fpb_encrypt_mode_patch_enable()

void fpb_encrypt_mode_patch_enable | ( | void |  | ) |

Patch Enabling Function for encrypt This function can not be used directly. It needs to be registered with FPB unit and automatically enabled by the system.

## ◆ fpb_patch_enable()

void fpb_patch_enable | ( | void |  | ) |

Patch Enabling Function This function can not be used directly. It needs to be registered with FPB unit and automatically enabled by the system.

PATCH_ENABLE_FLAG
#define PATCH_ENABLE_FLAG(BIT)
Definition: patch.h:62
BIT_HAL_EXFLASH_WRITE
@ BIT_HAL_EXFLASH_WRITE
Definition: patch.h:50
BIT_HAL_EXFLASH_READ
@ BIT_HAL_EXFLASH_READ
Definition: patch.h:52
BIT_HCI_SEND_2_CONTROLLER
@ BIT_HCI_SEND_2_CONTROLLER
Definition: patch.h:47
BIT_BLE_BM_SET_SEC_INFO
@ BIT_BLE_BM_SET_SEC_INFO
Definition: patch.h:53
BIT_KE_TASK_SCHEDULE
@ BIT_KE_TASK_SCHEDULE
Definition: patch.h:54
BIT_HAL_EXFLASH_ERASE
@ BIT_HAL_EXFLASH_ERASE
Definition: patch.h:51